%define ver_major 2.4

Name: gconf-editor
Version: %ver_major.0
Release: alt1

Summary: An editor for the GConf configuration system.
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.2.4
%define GConf_ver 2.4.0

Requires: libgtk+2 >= %gtk_ver
Requires: GConf2 >= %GConf_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf2-devel >= %GConf_ver

# Automatically added by buildreq on Sat Sep 06 2003
BuildRequires: GConf2 ORBit2-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libGConf2-devel libORBit2 libatk-devel libexpat libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel pkgconfig

BuildRequires: gnome-common >= 1.2.4-alt3

%description
An editor for the GConf configuration system.
Directly edit your entire configuration database.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name "gnome"

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS ChangeLog README

%changelog
* Sat Sep 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt2
- menu file fixed.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- new version.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt2
- rebuild with new pango, gtk+ with Xft2 support.

* Sun Sep 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1
- gcc-3.2 used
- buildreqs updated

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 0.2-alt1
- Create Spec for AltLinux Team
- Inital build
